stack-1.4.0: The Haskell Tool Stack

Safe Haskell | Safe
Language | Haskell2010

Stack.Options.ScriptParser

# Documentation

data ScriptOpts #

Constructors

ScriptOpts |
Fields soPackages :: ![String] soFile :: !FilePath soArgs :: ![String] soCompile :: !ScriptExecute

Instances

Show ScriptOpts # |
Methods showsPrec :: Int -> ScriptOpts -> ShowS # show :: ScriptOpts -> String # showList :: [ScriptOpts] -> ShowS #

data ScriptExecute #

Constructors

SEInterpret |
SECompile |
SEOptimize |

Instances

Show ScriptExecute # |
Methods showsPrec :: Int -> ScriptExecute -> ShowS # show :: ScriptExecute -> String # showList :: [ScriptExecute] -> ShowS #

scriptOptsParser :: Parser ScriptOpts #